#!/bin/sh

MPI_HOME=/hpc/local/voltaire/mvapich2/build-release/install
IMB_EXE=/hpc/local/oss/mpitests/1.4.1/imb_3.2/IMB-MPI1
PPN=8
HOSTS="boo1 boo2 boo3 boo4 boo5 boo6 boo7 boo8 boo9 boo10"
FCA_HOME=$(cd `dirname $0`/..;pwd)

##################### Do not edit below this line #####################

NHOSTS=$(echo $HOSTS |sed -e "s/,/ /g"|wc -w)
NP=$(expr $PPN \* $NHOSTS)


if [ "$1" == "fca" ]; then
        echo Using FCA
        FCA_PARAMS="-env FCA_ENABLE 1 -env FCA_NP 0 -env fca_mpi_debug_level 3 -env FCA_HOOK_SIGNALS 1 -env fca_mpi_collect_stats y"
else
        FCA_PARAMS="-env FCA_ENABLE 0"
        echo Using MVAPICH2
fi

rm -f ~/.mpd.conf
for h in $HOSTS ;do
	echo ${h}:${PPN} >> ~/.mpd.conf
done

echo MPD_SECRETWORD=mtt > ~/.mpd.conf
chmod 600 ~/.mpd.conf
mpdallexit
num_nodes=`sort -u $file | wc -l`
num_nodes=`expr $num_nodes + 1`
mpdboot --chkup -n $num_nodes -r ssh --verbose --file=$file
mpdtrace

$MPI_HOME/bin/mpiexec -np $NP $FCA_PARAMS $IMB_EXE -npmin $NP Allreduce Reduce Barrier Bcast Allgather Allgatherv


mpdallexit
